#include "xstreamfilename.h"

XStreamFileName::XStreamFileName()
    : XAsset()
    , mFileIndex(0)
    , mInfo()
{
    SetName("Stream File Name");
}

XStreamFileName::~XStreamFileName()
{

}

void XStreamFileName::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XStreamFileName::ParseData
}

void XStreamFileName::Clear()
{
    mFileIndex = 0;
    mInfo.Clear();
}
